# Invaders

A simple Space Invaders clone written using Rust, WebAssembly and WebGL for a
university project.

**The game can be played [here](https://invaders.thetek.de/)**.

## Requirements

- Standard Rust toolchain (`rustc` and `cargo`)
- [wasm-pack](https://rustwasm.github.io/wasm-pack/installer/)
- NodeJS and npm

## Building and Running

Initial setup:

```sh
$ wasm-pack build
$ cd www
$ npm install
```

Compile WebAssembly:

```sh
$ wasm-pack build
```

Run the dev server:

```sh
$ cd www
$ npm run start
```

Run the production server:

```sh
$ cd www
$ npm run build
$ npm run prod
```
